6 Replies Latest reply on Apr 29, 2014 10:08 AM by Julio Marques

    EAP X Mojarra 2.1.7

    Julio Marques Newbie

      Hello!

       

      We have in our company a JSF framework (primefaces like) that was developed using Mojarra 2.1.7 strongly (Embed in JB 7.1.1).

      Now, one of our clients bout JBoss EAP 6.2 and demands our framework to run on it.

       

      After 90 hours of hard working, researching and trying, seems to be a impossible thing to do but a had to answer. Is that possible?

       

      Kindly regards.

      Julio

        • 1. Re: EAP X Mojarra 2.1.7
          Tomaz Cerar Master

          What exactly do you want to do do?

           

          Use older version of mojarra in EAP 6.2?

           

          Given that EAP uses newer micro release of mojarra you shouldn't have any big issues running your application on top of it.

          What exactly are you problems?

          In any case I would strongly recommend you to use newer mojarra which fixes some pretty bad issues in impl.

          • 2. Re: EAP X Mojarra 2.1.7
            Julio Marques Newbie

            Yes man!

            We need to run old version of Mojarra (2.1.7) which came into JBoss AS 7.1.1 on JBoss EAP 6.2.

            We cannot swap Mojarra version because our Framework is attached to the bone in that mojarra.

            (until i know) it's impossible to use a subsystem feature because it became available only in JBoss 7.2.0

             

            Thanks for answer and any help!

            • 3. Re: EAP X Mojarra 2.1.7
              carlos saldias Newbie

              Hello world!.

              I have 2 apps written in Java:

              I am using JSPs + facelets + richfaces 3.3.3 + JSF1.0

              After upgrading IE8 to IE10, filtering and scrolling don't work anymore.

              -I have tried to replace JSF1.0 to JSF2.0 and  jar files from richfaces 3.3.4. Still same problem.

              -I have tried to add richfaces 4.3.6 and changed to JSF2.0. Everything gets broken. apps don't even deploy.

              Help please!.

              • 4. Re: EAP X Mojarra 2.1.7
                Julio Marques Newbie

                Hi Carlos!

                There is a Huge deference between ie8 and ie10 that is causing problems to you, and there is a lot of "racks" to solve it. I don't think any of this is related to versions of JSF, and server side libs and stuff. Try to roll back your env to a stable point and look at Javascript console where screen isn't working to figure out where the problem is.

                 

                Cheers!

                • 5. Re: EAP X Mojarra 2.1.7
                  Julio Marques Newbie

                  I had some progress, but now i think WELD is not working properly on my case.

                  here's the message:

                   

                  15:11:46,263 SEVERE [javax.enterprise.resource.webcontainer.jsf.config] (ServerService Thread Pool -- 52) Unexpected exception when attempting to tear down the Mojarra runtime: java.lang.IllegalStateException: Could not find backup for factory javax.faces.application.ApplicationFactory.

                   

                  PS.

                  I have

                  <listener>

                          <listener-class>

                              com.sun.faces.config.ConfigureListener

                          </listener-class>

                      </listener>

                   

                  in my web.xml

                  • 6. Re: EAP X Mojarra 2.1.7
                    Julio Marques Newbie

                    I succeed running Mojarra 2.1.7 on JBoss EAP 6.2!

                    But i did this adding my module into WELD xml module and I'm not sure if this is the better approach.

                    Besides, when Server starts it keep logging:

                    "

                    [org.jboss.as.jsf] (ServerService Thread Pool -- 35) JBAS012605: Activated the following JSF Implementations: [main, 1.2]

                    "

                    Any help?